org.apache.commons.io.input

## Class UncheckedBufferedReader.Builder

- java.lang.Object
- - org.apache.commons.io.build.AbstractSupplier<T,B>
  - - org.apache.commons.io.build.AbstractOriginSupplier<T,B>
    - - org.apache.commons.io.build.AbstractStreamBuilder<UncheckedBufferedReader,UncheckedBufferedReader.Builder>
      - - org.apache.commons.io.input.UncheckedBufferedReader.Builder

- All Implemented Interfaces:
    IOSupplier<UncheckedBufferedReader>
  Enclosing class:
    UncheckedBufferedReader

      public static class UncheckedBufferedReader.Builder
      extends AbstractStreamBuilder<UncheckedBufferedReader,UncheckedBufferedReader.Builder>

  Builds a new `UncheckedBufferedReader`.

  Using File IO:

       UncheckedBufferedReader s = UncheckedBufferedReader.builder()
         .setFile(file)
         .setBufferSize(8192)
         .setCharset(Charset.defaultCharset())
         .get();

  Using NIO Path:

       UncheckedBufferedReader s = UncheckedBufferedReader.builder()
         .setPath(path)
         .setBufferSize(8192)
         .setCharset(Charset.defaultCharset())
         .get();

  See Also:
    `get()`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()` Constructs a new builder of `UncheckedBufferedReader`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UncheckedBufferedReader` | `get()` Builds a new `UncheckedBufferedReader`.

    - ### Methods inherited from class org.apache.commons.io.build.AbstractStreamBuilder

      `getBufferSize, getBufferSizeDefault, getCharSequence, getCharset, getCharsetDefault, getFile, getInputStream, getOpenOptions, getOutputStream, getPath, getRandomAccessFile, getReader, getWriter, setBufferSize, setBufferSize, setBufferSizeChecker, setBufferSizeDefault, setBufferSizeMax, setCharset, setCharset, setCharsetDefault, setOpenOptions`

    - ### Methods inherited from class org.apache.commons.io.build.AbstractOriginSupplier

      `checkOrigin, getOrigin, hasOrigin, newByteArrayOrigin, newCharSequenceOrigin, newFileOrigin, newFileOrigin, newInputStreamOrigin, newOutputStreamOrigin, newPathOrigin, newPathOrigin, newRandomAccessFileOrigin, newRandomAccessFileOrigin, newReaderOrigin, newURIOrigin, newWriterOrigin, setByteArray, setCharSequence, setFile, setFile, setInputStream, setOrigin, setOutputStream, setPath, setPath, setRandomAccessFile, setRandomAccessFile, setReader, setURI, setWriter`

    - ### Methods inherited from class org.apache.commons.io.build.AbstractSupplier

      `asThis`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.commons.io.function.IOSupplier

      `asSupplier, getUnchecked`

- - ### Constructor Detail

    - #### Builder

          public Builder()

      Constructs a new builder of `UncheckedBufferedReader`.

  - ### Method Detail

    - #### get

          public UncheckedBufferedReader get()

      Builds a new `UncheckedBufferedReader`.

      You must set an aspect that supports `AbstractStreamBuilder.getReader()` on this builder, otherwise, this method throws an exception.

      This builder uses the following aspects:

      - `AbstractStreamBuilder.getReader()` gets the target aspect.
      - `AbstractStreamBuilder.getBufferSize()`
      Returns:
        a new instance.
      Throws:
        `UnsupportedOperationException` - if the origin cannot provide a `Reader`.
        `IllegalStateException` - if the `origin` is `null`.
      See Also:
        `AbstractStreamBuilder.getReader()`, `AbstractStreamBuilder.getBufferSize()`, `IOSupplier.getUnchecked()`